<?php

/**
* @author    Eric Sizemore <admin@domainportfolio.us>
* @package   Domain Name Portfolio
* @link      www.domainportfolio.us
* @version   1.5.2
* @copyright (C) 2006 - 2009 Eric Sizemore
* @license   http://www.domainportfolio.us/docs/license.html GNU Public License
* @file      ./admin/add_category.php
*/

define('IN_DNP', true);
define('IN_ADMIN', true);
require_once('../includes/global.php');

// Logged in?
if (!$adm->verify_auth())
{
	redirect('index.php');
}

// ################################################################
$result = '';

// Insert category
if (!empty($_POST['submit']))
{
	$category = sanitize($_POST['category']);
	$description = str_replace("\r\n", "\n", $_POST['description']);
	$description = sanitize($description, false);
	$keywords = strtolower(sanitize($_POST['keywords']));

	/**
	* Let's create a session value for category, description, and keywords.
	* This way, if there's an error, they don't lose what they've entered.
	*/
	$_SESSION['form'] = array(
		'category'     => $category,
		'description'  => $description,
		'cat_keywords' => $keywords
	);

	if (empty($category))
	{
		$result .= 'You must enter a title for the category.';
	}
	else if (is('category', $db->prepare($category)))
	{
		$result .= "The category '$category' already exists in the database.";
	}
	else
	{
		if ($db->query("
			INSERT INTO " . TABLE_PREFIX . "categories (title, description, keywords)
			VALUES ('" . $db->prepare($category) . "', '" . $db->prepare($description) . "', '" . $db->prepare($keywords) . "')
		"))
		{
			$result .= "Category '$category' added.";
		}
		else
		{
			$db->raise_error();
		}

		// Reset the session array
		$_SESSION['form'] = array(
			'category'     => '',
			'description'  => '',
			'cat_keywords' => ''
		);
	}
	$result = "<div id=\"result\">$result</div>";
}
else
{
	$_SESSION['form'] = array(
		'category'     => '',
		'description'  => '',
		'cat_keywords' => ''
	);
}

// ################################################################
// Output page
$pagetitle = 'Add Category';

include('../templates/admin/add_category.php');

?>