<?php

/**
* @author    Eric Sizemore <admin@domainportfolio.us>
* @package   Domain Name Portfolio
* @link      www.domainportfolio.us
* @version   1.5.2
* @copyright (C) 2006 - 2009 Eric Sizemore
* @license   http://www.domainportfolio.us/docs/license.html GNU Public License
* @file      ./admin/admin.php
*/

define('IN_DNP', true);
define('IN_ADMIN', true);
require_once('../includes/global.php');

// Logged in?
if (!$adm->verify_auth())
{
	redirect('index.php');
}

// ################################################################
/**
* This is the new way of checking for latest version.
* There will be a link on each admin page, which will come here.
*/
if (isset($_GET['version_check']) AND $_GET['version_check'] == 1)
{
	echo dnp_version(true);
	exit;
}

// ################################################################
// Ordering
$orderby = is('orderby', sanitize($_GET['sort']));

// ################################################################
// Pagination vars
$page = intval($_GET['page']);

$numdomains = $db->query("
	SELECT COUNT(domainid) AS count
	FROM " . TABLE_PREFIX . "domains
", true) or $db->raise_error();
$numdomains = $numdomains['count'];

$pagination = paginate($numdomains, $page, $orderby);

// ################################################################
// Build the domain table
$domains = array();

if ($numdomains > 0)
{
	$getdomains = $db->query("
		SELECT domains.*, IF(categories.title IS NULL, 'None', categories.title) AS category
		FROM " . TABLE_PREFIX . "domains AS domains
		LEFT JOIN " . TABLE_PREFIX . "categories AS categories ON (categories.catid = domains.catid)
		ORDER BY " . ($order_by == 'category' ? 'category' : "domains.$orderby") . " ASC
		LIMIT $pagination[limit], " . $config->get('maxperpage') . "
	") or $db->raise_error();

	$row = 0;

	while ($domain = $db->fetch_array($getdomains))
	{
		$domain['expiry'] = date('m/d/Y', $domain['expiry']);
		$domain['description'] = ($domain['description'] != '') ? $domain['description'] : $domain['domain'];
		$domain['class'] = ($row & 1);
		$domains[] = $domain;

		$row++;
	}
	$db->free_result($getdomains);
}

// ################################################################
// Output page
$pagetitle = 'Home';

include('../templates/admin/admin.php');

?>