<?php

/**
* @author    Eric Sizemore <admin@domainportfolio.us>
* @package   Domain Name Portfolio
* @link      www.domainportfolio.us
* @version   1.5.2
* @copyright (C) 2006 - 2009 Eric Sizemore
* @license   http://www.domainportfolio.us/docs/license.html GNU Public License
* @file      ./admin/categories.php
*/

define('IN_DNP', true);
define('IN_ADMIN', true);
require_once('../includes/global.php');

// Logged in?
if (!$adm->verify_auth())
{
	redirect('index.php');
}

// ################################################################
// Pagination vars
$page = (isset($_GET['page'])) ? intval($_GET['page']) : 0;

$numcats = $db->query("
	SELECT COUNT(catid) AS count
	FROM " . TABLE_PREFIX . "categories
", true) or $db->raise_error();
$numcats = $numcats['count'];

$pagination = paginate($numcats, $page);

// ################################################################
// Build the category table
$cats = array();

if ($numcats > 0)
{
	$getcats = $db->query("
		SELECT categories.catid, categories.title, COUNT(domains.domainid) AS numdomains
		FROM " . TABLE_PREFIX . "categories AS categories
		LEFT JOIN " . TABLE_PREFIX . "domains AS domains ON (domains.catid = categories.catid)
		GROUP BY categories.catid
		ORDER BY categories.catid ASC
		LIMIT $pagination[limit], " . $config->get('maxperpage') . "
	") or $db->raise_error();

	$row = 0;

	while ($cat = $db->fetch_array($getcats))
	{
		$cat['numdomains'] = number_format($cat['numdomains']);
		$cat['class'] = ($row & 1);
		$cats[] = $cat;

		$row++;
	}
	$db->free_result($getcats);
}

// ################################################################
// Output page
$pagetitle = 'Categories';

include('../templates/admin/categories.php');

?>