<?php

/**
* @author    Eric Sizemore <admin@domainportfolio.us>
* @package   Domain Name Portfolio
* @link      www.domainportfolio.us
* @version   1.5.2
* @copyright (C) 2006 - 2009 Eric Sizemore
* @license   http://www.domainportfolio.us/docs/license.html GNU Public License
* @file      ./admin/delete.php
*/

define('IN_DNP', true);
define('IN_ADMIN', true);
require_once('../includes/global.php');

// Logged in?
if (!$adm->verify_auth())
{
	redirect('index.php');
}

// ################################################################
$result = '';

$mode = sanitize($_GET['mode']);

switch ($mode)
{
	case 'domain':
		$domainid = intval($_GET['d']);

		if (!is('domain', $domainid))
		{
			redirect('admin.php');
		}

		// Delete..
		if ($db->query("DELETE FROM " . TABLE_PREFIX . "domains WHERE domainid = $domainid LIMIT 1"))
		{
			$result = '<div id="result">Domain deleted. <a href="./admin.php">Back</a></div>';
		}
		else
		{
			$db->raise_error();
		}
		break;
	case 'category':
		$catid = intval($_GET['cat']);

		if (!is('category', $catid))
		{
			redirect('categories.php');
		}

		// Delete..
		if ((update_domain_category($catid)) AND ($db->query("DELETE FROM " . TABLE_PREFIX . "categories WHERE catid = $catid LIMIT 1")))
		{
			$result = '<div id="result">Category deleted. <a href="categories.php">Back</a></div>';
		}
		else
		{
			$db->raise_error();
		}
		break;
	default:
		redirect('admin.php');
		break;
}

// ################################################################
// Output page
$pagetitle = 'Delete ' . ucfirst($mode);

include('../templates/admin/delete.php');

?>