<?php

/**
* @author    Eric Sizemore <admin@domainportfolio.us>
* @package   Domain Name Portfolio
* @link      www.domainportfolio.us
* @version   1.5.2
* @copyright (C) 2006 - 2009 Eric Sizemore
* @license   http://www.domainportfolio.us/docs/license.html GNU Public License
* @file      ./admin/index.php
*/

define('IN_DNP', true);
define('IN_ADMIN', true);
require_once('../includes/global.php');

// Already Logged in?
if ($adm->verify_auth())
{
	redirect('admin.php');
}

// ################################################################
$result = '';

// Reset Password
if (isset($_GET['mode']) AND $_GET['mode'] == 'lostpass')
{
	if (!empty($_POST['lostpass_submit']))
	{
		$username = preg_replace('#([^a-z0-9\_]+)#i', '', sanitize($_POST['user']));
		$email = sanitize($_POST['email'], true, true);

		if (!is('email', $email))
		{
			$result = 'Sorry, the email you entered appears to be invalid.';
		}
		else
		{
			$admin = $db->query("
				SELECT username
				FROM " . TABLE_PREFIX . "admin
				WHERE username = '" . $db->prepare($username) . "'
			") or $db->raise_error();

			if ($db->num_rows($admin) AND $email == $config->get('contactemail'))
			{
				$admin = $db->fetch_array($admin);
				$pass = substr(dnp_hash(uniqid(time(), true)), 0, 6);

				$db->query("
					UPDATE " . TABLE_PREFIX . "admin
					SET password = '" . dnp_hash($pass) . "'
					WHERE username = '" . $db->prepare($username) . "'
				") or $db->raise_error();

				require_once('../includes/emailer.class.php');
				$emailer = new emailer($config->get('contactemail'), NULL, 'DNP - Password reset');
				$emailer->use_template(array(
					'name' => $admin['username'],
					'pass' => $pass,
					'ip'   => get_ip()
				), 'admin/lostpass_email.tpl');
				$emailer->send();

				$result = 'Password reset, please check your email.';

				// Naughty me...
				$result .= '<script language="Javascript">function redirect(){location.href = \'./\';} setTimeout(\'redirect()\', 1000);</script>';
			}
			else
			{
				$result = 'The email and/or username you entered does not match the one we have on file.';
			}
		}
		$result = "<div id=\"result\">$result</div>";
	}

	// Output page
	$pagetitle = 'Lost Password';

	include('../templates/admin/lostpass.php');
	exit;
}

// ################################################################
// Process login
if (!empty($_POST['submit']))
{
	$username = preg_replace('#([^a-z0-9\_]+)#i', '', sanitize($_POST['user']));
	$password = str_replace(array('\'', '"'), '', sanitize($_POST['pass']));

	if (empty($username) OR empty($password))
	{
		$result .= 'Please enter both username and password.';
	}
	else
	{
		if ($adm->do_login($username, dnp_hash($password)))
		{
			redirect('admin.php');
		}
		else
		{
			$result .= 'Invalid username and/or password. Please try again.';
		}
	}
	$result = "<div id=\"result\">$result</div>";
}

// ################################################################
// Output page
$pagetitle = 'Login';

include('../templates/admin/index.php');

?>