<?php

/**
* @author    Eric Sizemore <admin@domainportfolio.us>
* @package   Domain Name Portfolio
* @link      www.domainportfolio.us
* @version   1.5.2
* @copyright (C) 2006 - 2009 Eric Sizemore
* @license   http://www.domainportfolio.us/docs/license.html GNU Public License
* @file      ./admin/site_config.php
*/

define('IN_DNP', true);
define('IN_ADMIN', true);
require_once('../includes/global.php');

// Logged in?
if (!$adm->verify_auth())
{
	redirect('index.php');
}

// ################################################################
$result = '';

// Update config
if (!empty($_POST['submit']))
{
	$new_title = sanitize($_POST['title']);
	$new_descr = sanitize($_POST['description']);
	$new_keys = sanitize($_POST['keywords']);
	$new_email = sanitize($_POST['email']);
	$new_ppage = intval($_POST['perpage']);
	$new_currency = sanitize($_POST['currency']);
	$current_pass = sanitize($_POST['current_pass']);
	$new_pass = sanitize($_POST['new_pass']);
	$cnew_pass = sanitize($_POST['cnew_pass']);

	$updates = array();

	// Wanting to change password?
	if (!empty($new_pass))
	{
		if (empty($current_pass) OR dnp_hash(dnp_hash($current_pass)) != $_SESSION['dnp_admin_kp'])
		{
			$result .= 'Sorry, either you did not enter your current password, or it does not match your current password.';
		}
		else if ($new_pass != $cnew_pass)
		{
			$result .= 'Your new password and confirm new password did not match.';
		}
		else
		{
			$db->query("
				UPDATE " . TABLE_PREFIX . "admin
				SET password = '" . dnp_hash($new_pass) . "'
				WHERE adminid = " . intval($_SESSION['dnp_admin_id']) . "
			") or $db->raise_error();
		}
	}

	// Site options...
	if (empty($new_ppage))
	{
		$new_ppage = 10;
	}

	if (empty($new_title) OR empty($new_descr) OR empty($new_keys) OR empty($new_email) OR empty($new_currency))
	{
		$result .= 'Required field(s) left empty. Required fields are:<br /><code>Title, Description, Keywords, Email, Currency</code>';
	}
	else if (!is('email', $new_email))
	{
		$result .= 'Sorry, but the email you entered is invalid.';
	}
	else if (mb_strlen($new_currency, 'utf-8') != 1)
	{
		$result .= 'Seems you entered an invalid currency. Only enter the symbol, eg: $';
	}
	else
	{
		$updates = array(
			'title'        => $db->prepare($new_title),
			'description'  => $db->prepare($new_descr),
			'keywords'     => $db->prepare($new_keys),
			'maxperpage'   => $db->prepare($new_ppage),
			'contactemail' => $db->prepare($new_email),
			'currency'     => $db->prepare($new_currency)
		);

		foreach ($updates AS $option => $value)
		{
			$config->update($option, $value);
		}
		unset($updates);

		$result .= 'Site configuration updated.';
	}
	$result = "<div id=\"result\">$result</div>";

	$config->get('', true);
}

// ################################################################
// Output page
$pagetitle = 'Site Configuration';

include('../templates/admin/site_config.php');

?>