<?php

/**
* @author    Eric Sizemore <admin@domainportfolio.us>
* @package   Domain Name Portfolio
* @link      www.domainportfolio.us
* @version   1.5.2
* @copyright (C) 2006 - 2009 Eric Sizemore
* @license   http://www.domainportfolio.us/docs/license.html GNU Public License
* @file      ./details.php
*/

define('IN_DNP', true);
require_once('./includes/global.php');

// Valid ID?
$domainid = (is_string($_GET['d'])) ? sanitize($_GET['d']) : intval($_GET['d']);

if (!is('domain', $domainid))
{
	redirect('index.php');
}

// ################################################################
// Pull the domain and it's status.
$domain = get_value('details', $domainid);

if (count($domain) == 0 OR $domain['status'] == 'Sold' OR $domain['hidden'] == 1)
{
	redirect('index.php');
}

// ################################################################
// Setup the info for the template
if (in_array($domain['status'], array('Make Offer', 'Not For Sale')))
{
	$domain['price'] = 'n/a';
}
else
{
	$domain['price'] = $config->get('currency') . "&nbsp;$domain[price]";
}

$domain['description'] = ($domain['description'] != '' ? wordwrap($domain['description'], 70, '<br />') : 'N/A');
$domain['keywords'] = ($domain['keywords'] == '' ? strtolower($domain['domain']) : $domain['keywords']);
$domain['added'] = date('m/d/Y', $domain['added']);
$domain['expiry'] = date('m/d/Y', $domain['expiry']);
$domain['lower'] = strtolower($domain['domain']);
$domain['upper'] = strtoupper($domain['domain']);
$domain['ext'] = substr($domain['domain'], strpos($domain['domain'], strchr($domain['domain'], '.')));
$domain['noext'] = str_replace($domain['ext'], '', $domain['domain']);
$domain['chars'] = strlen($domain['noext']);

// ################################################################
// Output page
$keywords .= ($domain['keywords'] == '') ? strtolower($domain['domain']) : $domain['keywords'];

$pagetitle = "Details for $domain[domain]";

include("$template/details.php");

?>