<?php

/**
* @author    Eric Sizemore <admin@domainportfolio.us>
* @package   Domain Name Portfolio
* @link      www.domainportfolio.us
* @version   1.5.2
* @copyright (C) 2006 - 2009 Eric Sizemore
* @license   http://www.domainportfolio.us/docs/license.html GNU Public License
* @file      ./index.php
*/

define('IN_DNP', true);
require_once('./includes/global.php');

// ################################################################
// Ordering
$orderby = is('orderby', sanitize($_GET['sort']));

// ################################################################
// Browsing a category?
$catid = (isset($_GET['cat'])) ? intval($_GET['cat']) : '';
$catid = is('catid', $catid);

// ################################################################
// Pagination vars
$page = (isset($_GET['page'])) ? intval($_GET['page']) : 0;

$numdomains = $db->query("
	SELECT COUNT(domainid) AS count
	FROM " . TABLE_PREFIX . "domains
	WHERE hidden != 1
		AND status != 'Sold'
		" . (!is_null($catid) ? "AND catid = $catid" : '') . "
", true) or $db->raise_error();
$numdomains = $numdomains['count'];

$pagination = paginate($numdomains, $page, $orderby, $catid);

// ################################################################
$domains = array();

if ($numdomains > 0)
{
	$getdomains = $db->query("
		SELECT domains.*, IF(categories.title IS NULL, 'None', categories.title) AS category
		FROM " . TABLE_PREFIX . "domains AS domains
		LEFT JOIN " . TABLE_PREFIX . "categories AS categories ON (categories.catid = domains.catid)
		WHERE domains.hidden != 1
			AND domains.status != 'Sold'
			" . (!is_null($catid) ? "AND domains.catid = $catid" : '') . "
		ORDER BY " . ($order_by == 'category' ? 'category' : "domains.$orderby") . " ASC
		LIMIT $pagination[limit], " . $config->get('maxperpage') . "
	") or $db->raise_error();

	$row = 0;

	while ($domain = $db->fetch_array($getdomains))
	{
		if ($domain['status'] == 'Make Offer' OR $domain['status'] == 'Not For Sale')
		{
			$domain['price'] = 'n/a';
		}
		else
		{
			$domain['price'] = $config->get('currency') . "&nbsp;$domain[price]";
		}

		$domain['expiry'] = date('m/d/Y', $domain['expiry']);
		$domain['description'] = ($domain['description'] != '') ? $domain['description'] : $domain['domain'];
		$domain['class'] = ($row & 1);
		$domains[] = $domain;

		$row++;
	}
	$db->free_result($getdomains);
}

// ################################################################
// Output Page
$currentcat = '';
$catkeywords = '';

if (!is_null($catid) AND $catid > 0)
{
	$currentcat = get_value('catedit', $catid);
	$catkeywords = ($currentcat['keywords'] != '') ? $currentcat['keywords'] : strtolower($currentcat['title']);
	$currentcat = " in '$currentcat[title]'";
}

$pagetitle = 'Home';

$catidsort = (!is_null($catid) ? "&amp;cat=$catid" : '');

include("$template/index.php");

?>